#include <iostream>

using namespace std;

class Vektor
{
	int * pole;
	int velikost;
	int pushed;
public:
	explicit Vektor (int x): velikost(x)
	{
		pole = new int[velikost];
		pushed = 0;
	}
	void push_back (int x)
	{
		pole[pushed++] = x;
	}
	Vektor operator= (const Vektor & x)
	{
		cout << x.velikost;
	}
	~Vektor ()
	{	
		delete [] pole;
	}
	friend void operator<< (ostream &v, Vektor &x);
	friend Vektor operator+ (Vektor &v1, Vektor &v2);
};

void operator<< (ostream &v, Vektor &x)
{
	for (int i = 0; i < x.velikost; i++)
		v << x.pole[i] << " ";
	v << endl;
}

Vektor operator+ (Vektor &v1, Vektor &v2)
{
	Vektor tmp (v1.velikost);	

	for (int i = 0; i < v1.velikost; i++)
	{
		tmp.push_back (v1.pole[i] + v2.pole[i]);
	}
	return tmp;
} 

int main()
{
	int pocet, cislo;

	cin >> pocet;
	Vektor a(pocet);

	for (int i = 0; i < pocet; i++) {
		cin >> cislo; a.push_back(cislo);
	}

	cin >> pocet;
	Vektor b(pocet);

	for (int i = 0; i < pocet; i++) {
		cin >> cislo; b.push_back(cislo);
	}

	cout << a;
	cout << b;
	Vektor c = a + b;
	cout << c;

	return 0;
}
